Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class DeltaSet.DeltaIterator

`java.lang.Object
com.tangosol.util.DeltaSet.DeltaIterator`

All Implemented Interfaces:
  Iterator

Enclosing class:
  DeltaSet

      protected class DeltaSet.DeltaIterator

extends Object
implements Iterator

Iterator for the contents of a delta set.

Constructor Summary
`protected` | `DeltaSet.DeltaIterator()` Construct an iterator for a delta set.

Method Summary
`boolean` | `hasNext()` Returns true if the iteration has more elements.
`Object` | `next()` Returns the next element in the interation.
`void` | `remove()` Removes from the underlying Collection the last element returned by the Iterator .

Constructor Detail

### DeltaSet.DeltaIterator

    protected DeltaSet.DeltaIterator()

  Construct an iterator for a delta set.

Method Detail

### hasNext

    public boolean hasNext()

  Returns true if the iteration has more elements.
  Specified by:
    `hasNext` in interface `Iterator`
  Returns:
    `true` if the iterator has more elements.

### next

    public Object next()

  Returns the next element in the interation.
  Specified by:
    `next` in interface `Iterator`
  Returns:
    the next element in the iteration.
  Throws:
    `NoSuchElementException` - iteration has no more elements.

### remove

    public void remove()

  Removes from the underlying Collection the last element returned by the Iterator . This method can be called only once per call to next The behavior of an Iterator is unspecified if the underlying Collection is modified while the iteration is in progress in any way other than by calling this method. Optional operation.
  Specified by:
    `remove` in interface `Iterator`
  Throws:
    `IllegalStateException` - next has not yet been called, or remove has already been called after the last call to next.

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.